Skip to content
Start here

Get AS112 DNS queries by IP version summary

Deprecated
radar.as112.summary.ip_version(SummaryIPVersionParams**kwargs) -> SummaryIPVersionResponse
GET/radar/as112/summary/ip_version

Retrieves the distribution of DNS queries to AS112 by IP version.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
ParametersExpand Collapse
continent: Optional[SequenceNotStr[str]]

Filters results by continent. Specify a comma-separated list of alpha-2 codes. Prefix with - to exclude continents from results. For example, -EU,NA excludes results from EU, but includes results from NA.

date_end: Optional[SequenceNotStr[Union[str, datetime]]]

End of the date range (inclusive).

date_range: Optional[SequenceNotStr[str]]

Filters results by date range. For example, use 7d and 7dcontrol to compare this week with the previous week. Use this parameter or set specific start and end dates (dateStart and dateEnd parameters).

date_start: Optional[SequenceNotStr[Union[str, datetime]]]

Start of the date range.

format: Optional[Literal["JSON", "CSV"]]

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
location: Optional[SequenceNotStr[str]]

Filters results by location. Specify a comma-separated list of alpha-2 codes. Prefix with - to exclude locations from results. For example, -US,PT excludes results from the US, but includes results from PT.

name: Optional[SequenceNotStr[str]]

Array of names used to label the series in the response.

protocol: Optional[List[Literal["UDP", "TCP", "HTTPS", "TLS"]]]

Filters results by DNS transport protocol.

One of the following:
"UDP"
"TCP"
"HTTPS"
"TLS"
query_type: Optional[List[Optional[Literal["A", "AAAA", "A6", 85 more]]]]

Filters results by DNS query type.

One of the following:
"A"
"AAAA"
"A6"
"AFSDB"
"ANY"
"APL"
"ATMA"
"AXFR"
"CAA"
"CDNSKEY"
"CDS"
"CERT"
"CNAME"
"CSYNC"
"DHCID"
"DLV"
"DNAME"
"DNSKEY"
"DOA"
"DS"
"EID"
"EUI48"
"EUI64"
"GPOS"
"GID"
"HINFO"
"HIP"
"HTTPS"
"IPSECKEY"
"ISDN"
"IXFR"
"KEY"
"KX"
"L32"
"L64"
"LOC"
"LP"
"MAILA"
"MAILB"
"MB"
"MD"
"MF"
"MG"
"MINFO"
"MR"
"MX"
"NAPTR"
"NB"
"NBSTAT"
"NID"
"NIMLOC"
"NINFO"
"NS"
"NSAP"
"NSEC"
"NSEC3"
"NSEC3PARAM"
"NULL"
"NXT"
"OPENPGPKEY"
"OPT"
"PTR"
"PX"
"RKEY"
"RP"
"RRSIG"
"RT"
"SIG"
"SINK"
"SMIMEA"
"SOA"
"SPF"
"SRV"
"SSHFP"
"SVCB"
"TA"
"TALINK"
"TKEY"
"TLSA"
"TSIG"
"TXT"
"UINFO"
"UID"
"UNSPEC"
"URI"
"WKS"
"X25"
"ZONEMD"
response_code: Optional[List[Literal["NOERROR", "FORMERR", "SERVFAIL", 16 more]]]

Filters results by DNS response code.

One of the following:
"NOERROR"
"FORMERR"
"SERVFAIL"
"NXDOMAIN"
"NOTIMP"
"REFUSED"
"YXDOMAIN"
"YXRRSET"
"NXRRSET"
"NOTAUTH"
"NOTZONE"
"BADSIG"
"BADKEY"
"BADTIME"
"BADMODE"
"BADNAME"
"BADALG"
"BADTRUNC"
"BADCOOKIE"
ReturnsExpand Collapse
class SummaryIPVersionResponse:
meta: Meta

Metadata for the results.

confidence_info: MetaConfidenceInfo
annotations: List[MetaConfidenceInfoAnnotation]
data_source: Literal["ALL", "AI_BOTS", "AI_GATEWAY", 22 more]

Data source for annotations.

One of the following:
"ALL"
"AI_BOTS"
"AI_GATEWAY"
"BGP"
"BOTS"
"CONNECTION_ANOMALY"
"CT"
"DNS"
"DNS_MAGNITUDE"
"DNS_AS112"
"DOS"
"EMAIL_ROUTING"
"EMAIL_SECURITY"
"FW"
"FW_PG"
"HTTP"
"HTTP_CONTROL"
"HTTP_CRAWLER_REFERER"
"HTTP_ORIGINS"
"IQI"
"LEAKED_CREDENTIALS"
"NET"
"ROBOTS_TXT"
"SPEED"
"WORKERS_AI"
description: str
end_date: datetime
formatdate-time
event_type: Literal["EVENT", "GENERAL", "OUTAGE", 3 more]

Event type for annotations.

One of the following:
"EVENT"
"GENERAL"
"OUTAGE"
"PARTIAL_PROJECTION"
"PIPELINE"
"TRAFFIC_ANOMALY"
is_instantaneous: bool

Whether event is a single point in time or a time range.

linked_url: str
formaturi
start_date: datetime
formatdate-time
level: int

Provides an indication of how much confidence Cloudflare has in the data.

date_range: List[MetaDateRange]
end_time: datetime

Adjusted end of date range.

formatdate-time
start_time: datetime

Adjusted start of date range.

formatdate-time
last_updated: datetime

Timestamp of the last dataset update.

formatdate-time
normalization: Literal["PERCENTAGE", "MIN0_MAX", "MIN_MAX", 5 more]

Normalization method applied to the results. Refer to Normalization methods.

One of the following:
"PERCENTAGE"
"MIN0_MAX"
"MIN_MAX"
"RAW_VALUES"
"PERCENTAGE_CHANGE"
"ROLLING_AVERAGE"
"OVERLAPPED_PERCENTAGE"
"RATIO"
units: List[MetaUnit]

Measurement units for the results.

name: str
value: str
summary_0: Summary0
i_pv4: str

A numeric string.

i_pv6: str

A numeric string.

Get AS112 DNS queries by IP version summary

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.radar.as112.summary.ip_version()
print(response.meta)
{
  "result": {
    "meta": {
      "confidenceInfo": {
        "annotations": [
          {
            "dataSource": "ALL",
            "description": "Cable cut in Tonga",
            "endDate": "2019-12-27T18:11:19.117Z",
            "eventType": "EVENT",
            "isInstantaneous": true,
            "linkedUrl": "https://example.com",
            "startDate": "2019-12-27T18:11:19.117Z"
          }
        ],
        "level": 0
      },
      "dateRange": [
        {
          "endTime": "2022-09-17T10:22:57.555Z",
          "startTime": "2022-09-16T10:22:57.555Z"
        }
      ],
      "lastUpdated": "2019-12-27T18:11:19.117Z",
      "normalization": "PERCENTAGE",
      "units": [
        {
          "name": "*",
          "value": "requests"
        }
      ]
    },
    "summary_0": {
      "IPv4": "10",
      "IPv6": "10"
    }
  },
  "success": true
}
Returns Examples
{
  "result": {
    "meta": {
      "confidenceInfo": {
        "annotations": [
          {
            "dataSource": "ALL",
            "description": "Cable cut in Tonga",
            "endDate": "2019-12-27T18:11:19.117Z",
            "eventType": "EVENT",
            "isInstantaneous": true,
            "linkedUrl": "https://example.com",
            "startDate": "2019-12-27T18:11:19.117Z"
          }
        ],
        "level": 0
      },
      "dateRange": [
        {
          "endTime": "2022-09-17T10:22:57.555Z",
          "startTime": "2022-09-16T10:22:57.555Z"
        }
      ],
      "lastUpdated": "2019-12-27T18:11:19.117Z",
      "normalization": "PERCENTAGE",
      "units": [
        {
          "name": "*",
          "value": "requests"
        }
      ]
    },
    "summary_0": {
      "IPv4": "10",
      "IPv6": "10"
    }
  },
  "success": true
}